<?php
/**
 * The Portfolio template to display the content
 *
 * Used for index/archive/search.
 *
 * @package WordPress
 * @subpackage RENEWAL
 * @since RENEWAL 1.0
 */

$renewal_template_args = get_query_var( 'renewal_template_args' );
if ( is_array( $renewal_template_args ) ) {
	$renewal_columns    = empty( $renewal_template_args['columns'] ) ? 2 : max( 1, $renewal_template_args['columns'] );
	$renewal_blog_style = array( $renewal_template_args['type'], $renewal_columns );
} else {
	$renewal_blog_style = explode( '_', renewal_get_theme_option( 'blog_style' ) );
	$renewal_columns    = empty( $renewal_blog_style[1] ) ? 2 : max( 1, $renewal_blog_style[1] );
}
$renewal_post_format = get_post_format();
$renewal_post_format = empty( $renewal_post_format ) ? 'standard' : str_replace( 'post-format-', '', $renewal_post_format );
$renewal_animation   = renewal_get_theme_option( 'blog_animation' );

?><article id="post-<?php the_ID(); ?>" 
									<?php
									post_class(
										'post_item'
										. ' post_layout_portfolio'
										. ' post_layout_portfolio_' . esc_attr( $renewal_columns )
										. ' post_format_' . esc_attr( $renewal_post_format )
										. ( is_sticky() && ! is_paged() ? ' sticky' : '' )
										. ( ! empty( $renewal_template_args['slider'] ) ? ' slider-slide swiper-slide' : '' )
									);
									echo ( ! renewal_is_off( $renewal_animation ) && empty( $renewal_template_args['slider'] ) ? ' data-animation="' . esc_attr( renewal_get_animation_classes( $renewal_animation ) ) . '"' : '' );
									?>
	>
<?php

	// Sticky label
if ( is_sticky() && ! is_paged() ) {
	?>
		<span class="post_label label_sticky"></span>
		<?php
}

	$renewal_image_hover = ! empty( $renewal_template_args['hover'] ) && ! renewal_is_inherit( $renewal_template_args['hover'] )
								? $renewal_template_args['hover']
								: renewal_get_theme_option( 'image_hover' );
	// Featured image
	renewal_show_post_featured(
		array(
			'singular'      => false,
			'hover'         => $renewal_image_hover,
			'no_links'      => ! empty( $renewal_template_args['no_links'] ),
			'thumb_size'    => renewal_get_thumb_size(
				strpos( renewal_get_theme_option( 'body_style' ), 'full' ) !== false || $renewal_columns < 3
								? 'masonry-big'
				: 'masonry'
			),
			'show_no_image' => true,
			'class'         => 'dots' == $renewal_image_hover ? 'hover_with_info' : '',
			'post_info'     => 'dots' == $renewal_image_hover ? '<div class="post_info">' . esc_html( get_the_title() ) . '</div>' : '',
		)
	);
	?>
</article><?php
// Need opening PHP-tag above, because <article> is a inline-block element (used as column)!