<?php
/**
 * The template for homepage posts with "Classic" style
 *
 * @package WordPress
 * @subpackage RENEWAL
 * @since RENEWAL 1.0
 */

renewal_storage_set( 'blog_archive', true );

get_header();

if ( have_posts() ) {

	renewal_blog_archive_start();

	$renewal_classes    = 'posts_container '
						. ( substr( renewal_get_theme_option( 'blog_style' ), 0, 7 ) == 'classic'
							? 'columns_wrap columns_padding_bottom'
							: 'masonry_wrap'
							);
	$renewal_stickies   = is_home() ? get_option( 'sticky_posts' ) : false;
	$renewal_sticky_out = renewal_get_theme_option( 'sticky_style' ) == 'columns'
							&& is_array( $renewal_stickies ) && count( $renewal_stickies ) > 0 && get_query_var( 'paged' ) < 1;
	if ( $renewal_sticky_out ) {
		?>
		<div class="sticky_wrap columns_wrap">
		<?php
	}
	if ( ! $renewal_sticky_out ) {
		if ( renewal_get_theme_option( 'first_post_large' ) && ! is_paged() && ! in_array( renewal_get_theme_option( 'body_style' ), array( 'fullwide', 'fullscreen' ) ) ) {
			the_post();
			get_template_part( apply_filters( 'renewal_filter_get_template_part', 'content', 'excerpt' ), 'excerpt' );
		}

		?>
		<div class="<?php echo esc_attr( $renewal_classes ); ?>">
		<?php
	}
	while ( have_posts() ) {
		the_post();
		if ( $renewal_sticky_out && ! is_sticky() ) {
			$renewal_sticky_out = false;
			?>
			</div><div class="<?php echo esc_attr( $renewal_classes ); ?>">
			<?php
		}
		$renewal_part = $renewal_sticky_out && is_sticky() ? 'sticky' : 'classic';
		get_template_part( apply_filters( 'renewal_filter_get_template_part', 'content', $renewal_part ), $renewal_part );
	}

	?>
	</div>
	<?php

	renewal_show_pagination();

	renewal_blog_archive_end();

} else {

	if ( is_search() ) {
		get_template_part( apply_filters( 'renewal_filter_get_template_part', 'content', 'none-search' ), 'none-search' );
	} else {
		get_template_part( apply_filters( 'renewal_filter_get_template_part', 'content', 'none-archive' ), 'none-archive' );
	}
}

get_footer();
