<?php
/* Booked Appointments support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if ( ! function_exists( 'renewal_booked_theme_setup9' ) ) {
	add_action( 'after_setup_theme', 'renewal_booked_theme_setup9', 9 );
	function renewal_booked_theme_setup9() {
		add_filter( 'renewal_filter_merge_styles', 'renewal_booked_merge_styles' );
		if ( is_admin() ) {
			add_filter( 'renewal_filter_tgmpa_required_plugins', 'renewal_booked_tgmpa_required_plugins' );
		}
	}
}

// Filter to add in the required plugins list
if ( ! function_exists( 'renewal_booked_tgmpa_required_plugins' ) ) {
	//Handler of the add_filter('renewal_filter_tgmpa_required_plugins',	'renewal_booked_tgmpa_required_plugins');
	function renewal_booked_tgmpa_required_plugins( $list = array() ) {
		if ( false && renewal_storage_isset( 'required_plugins', 'booked' ) && renewal_is_theme_activated() ) {
			$path = renewal_get_plugin_source_path( 'plugins/booked/booked.zip' );
			if ( ! empty( $path ) || renewal_get_theme_setting( 'tgmpa_upload' ) ) {
				$list[] = array(
					'name'     => renewal_storage_get_array( 'required_plugins', 'booked' ),
					'slug'     => 'booked',
					'version'  => '2.4.4',
					'source'   => ! empty( $path ) ? $path : 'upload://booked.zip',
					'required' => false,
				);
			}
		}
		return $list;
	}
}


// Check if plugin installed and activated
if ( ! function_exists( 'renewal_exists_booked' ) ) {
	function renewal_exists_booked() {
		return class_exists( 'booked_plugin' );
	}
}

// Merge custom styles
if ( ! function_exists( 'renewal_booked_merge_styles' ) ) {
	//Handler of the add_filter('renewal_filter_merge_styles', 'renewal_booked_merge_styles');
	function renewal_booked_merge_styles( $list ) {
		if ( renewal_exists_booked() ) {
			$list[] = 'plugins/booked/_booked.scss';
		}
		return $list;
	}
}


// Add plugin-specific colors and fonts to the custom CSS
if ( renewal_exists_booked() ) {
	require_once RENEWAL_THEME_DIR . 'plugins/booked/booked-styles.php'; }

