<?php
// Add plugin-specific colors and fonts to the custom CSS
if ( ! function_exists( 'renewal_quickcal_get_css' ) ) {
	add_filter( 'renewal_filter_get_css', 'renewal_quickcal_get_css', 10, 2 );
	function renewal_quickcal_get_css( $css, $args ) {

		if ( isset( $css['fonts'] ) && isset( $args['fonts'] ) ) {
			$fonts         = $args['fonts'];
			$css['fonts'] .= <<<CSS

body .booked-upload-wrap,
body #booked-profile-page .booked-profile-appt-list button.button-primary,
body #booked-profile-page .booked-profile-appt-list .appt-block .booked-cal-buttons a,
body #booked-profile-page .appt-block .booked-cal-buttons .google-cal-button,
body #booked-profile-page .booked-profile-appt-list .appt-block .booked-fea-buttons > a.delete, 
body #booked-profile-page .booked-profile-appt-list .appt-block .booked-fea-buttons > button.delete,
body div.booked-calendar .booked-appt-list .timeslot .timeslot-people button,
.booked-calendar-wrap .booked-appt-list .timeslot .timeslot-people button,
body #booked-profile-page input[type="submit"],
body #booked-profile-page button,
body .booked-list-view input[type="submit"],
body .booked-list-view button,
body table.booked-calendar input[type="submit"],
body table.booked-calendar button,
body .booked-modal input[type="submit"],
body .booked-modal button {
	{$fonts['button_font-family']}
	{$fonts['button_font-size']}
	{$fonts['button_font-weight']}
	{$fonts['button_font-style']}
	{$fonts['button_line-height']}
	{$fonts['button_text-decoration']}
	{$fonts['button_text-transform']}
	{$fonts['button_letter-spacing']}
}

body div.booked-calendar-wrap div.booked-calendar .bc-head .bc-row .bc-col .monthName,
body div.booked-calendar-wrap div.booked-calendar .bc-head .bc-row.days .bc-col {
	{$fonts['h1_font-family']}
}



CSS;
		}

		if ( isset( $css['vars'] ) && isset( $args['vars'] ) ) {
			$vars         = $args['vars'];
			$css['vars'] .= <<<CSS

body #booked-profile-page input[type=submit],
body #booked-profile-page button,
body .booked-list-view input[type=submit],
body .booked-list-view button,
body .booked-calendar input[type=submit],
body .booked-calendar button,
body .booked-modal input[type=submit],
body .booked-modal button,
body .booked-upload-wrap,
body #booked-profile-page .booked-profile-appt-list button.button-primary,
body #booked-profile-page .booked-profile-appt-list .appt-block .booked-cal-buttons a,
body #booked-profile-page .appt-block .booked-cal-buttons .google-cal-button,
body #booked-profile-page .booked-profile-appt-list .appt-block .booked-fea-buttons > a.delete, 
body #booked-profile-page .booked-profile-appt-list .appt-block .booked-fea-buttons > button.delete {
	-webkit-border-radius: {$vars['rad']};
	    -ms-border-radius: {$vars['rad']};
			border-radius: {$vars['rad']};
}

CSS;
		}

		if ( isset( $css['colors'] ) && isset( $args['colors'] ) ) {
			$colors         = $args['colors'];
			$css['colors'] .= <<<CSS

/* Form fields */
#booked-page-form {
	color: {$colors['text']};
	border-color: {$colors['bd_color']};
}

#booked-profile-page .booked-profile-header {
	background-color: {$colors['bg_color']} !important;
	border-color: transparent !important;
	color: {$colors['text']};
}
#booked-profile-page .booked-user h3 {
	color: {$colors['text_dark']};
}
#booked-profile-page .booked-profile-header .booked-logout-button:hover {
	color: {$colors['text_link']};
}

#booked-profile-page .booked-tabs {
	border-color: {$colors['alter_bd_color']} !important;
}

.booked-modal .bm-window p.booked-title-bar {
	color: {$colors['extra_dark']} !important;
	background-color: {$colors['inverse_dark']} !important;
}
.booked-modal .bm-window .close i {
	color: {$colors['extra_dark']};
}
body .booked-modal .bm-window,
.booked-modal .bm-window .booked-scrollable {
	color: {$colors['text']};
	background-color: {$colors['bg_color']} !important;
}
.booked-modal .bm-window #customerChoices {
	background-color: {$colors['extra_bg_hover']};
	border-color: {$colors['extra_bd_hover']};
}
.booked-form .booked-appointments {
	color: {$colors['alter_text']};
	background-color: {$colors['alter_bg_hover']} !important;	
}
.booked-modal .bm-window p.appointment-title {
	color: {$colors['alter_dark']};	
}
body #booked-profile-page input[type=submit].button-primary {
	background: {$colors['extra_bg_color']}!important;
}
body #booked-profile-page input[type=submit].button-primary:hover {
	color: {$colors['inverse_hover']};
	background: {$colors['text_link_blend']}!important;
}
#ui-datepicker-div.booked_custom_date_picker table.ui-datepicker-calendar tbody td.ui-datepicker-today a,
#ui-datepicker-div.booked_custom_date_picker table.ui-datepicker-calendar tbody td.ui-datepicker-today a:hover,
body table.booked-calendar input[type=submit].button-primary,
body .booked-list-view button.button, body .booked-list-view input[type=submit].button-primary,
body .booked-list-view button.button, body .booked-list-view input[type=submit].button-primary,
body .booked-modal input[type=submit].button-primary, body table.booked-calendar .booked-appt-list .timeslot .timeslot-people button,
body #booked-profile-page .booked-profile-appt-list .appt-block.approved .status-block,
body #booked-profile-page .appt-block .google-cal-button > a,
body .booked-modal p.booked-title-bar, body table.booked-calendar td:hover .date span,
body .booked-list-view a.booked_list_date_picker_trigger.booked-dp-active,
body .booked-list-view a.booked_list_date_picker_trigger.booked-dp-active:hover,
.booked-ms-modal .booked-book-appt {
    background: {$colors['extra_bg_color']} !important;
}

/* Profile page and tabs */
.booked-calendarSwitcher.calendar,
.booked-calendarSwitcher.calendar select,
#booked-profile-page .booked-tabs {
	background-color: {$colors['alter_bg_color']} !important;
}
#booked-profile-page .booked-tabs li a {
	background-color: {$colors['alter_bg_color']};
	color: {$colors['alter_dark']};
}
#booked-profile-page .booked-tabs li a i {
	color: {$colors['alter_dark']};
}
#booked-profile-page .booked-tabs li.active a,
#booked-profile-page .booked-tabs li.active a:hover,
#booked-profile-page .booked-tabs li a:hover {
	color: {$colors['extra_dark']} !important;
	background-color: {$colors['text_link']} !important;
}
#booked-profile-page .booked-tab-content {
	background-color: {$colors['bg_color']};
	border-color: {$colors['alter_bd_color']};
}

/* Calendar */
table.booked-calendar thead tr {
	background-color: {$colors['extra_bg_color']} !important;
}
table.booked-calendar thead tr th {
	color: {$colors['extra_dark']} !important;
	border-color: {$colors['alter_bd_color']} !important;
	background-color: {$colors['extra_bg_color']} !important;
}
table.booked-calendar thead th i {
	color: {$colors['extra_dark']} !important;
}
table.booked-calendar thead th .monthName a {
	color: {$colors['extra_dark']};
}
table.booked-calendar thead th .monthName a:hover {
	color: {$colors['extra_hover']};
}

table.booked-calendar tbody tr {
	background-color: {$colors['alter_bg_color']} !important;
}
table.booked-calendar tbody tr td {
	color: {$colors['alter_text']} !important;
	border-color: {$colors['bd_color']} !important;
}
table.booked-calendar tbody tr td:hover {
	color: {$colors['alter_dark']} !important;
}
table.booked-calendar tbody tr td.today .date {
	color: {$colors['alter_dark']} !important;
	background-color: {$colors['alter_bg_hover']} !important;
}
table.booked-calendar tbody td.today .date span {
	border-color: {$colors['alter_link']};
	color: {$colors['inverse_dark']} !important;
}
table.booked-calendar tbody td.today:hover .date span {
	background-color: {$colors['extra_bg_color']} !important;
	color: {$colors['inverse_link']} !important;
}
body table.booked-calendar td:hover .date span {
    background-color: {$colors['extra_bg_color']} !important;
}


.booked-calendar-wrap .booked-appt-list h2,
.booked-calendar-wrap .booked-appt-list h2 strong {
	color: {$colors['text_dark']};
}
.booked-calendar-wrap .booked-appt-list .timeslot {
	border-color: {$colors['alter_bd_color']};	
}
.booked-calendar-wrap .booked-appt-list .timeslot:hover {
	background-color: {$colors['alter_bg_hover']};	
}
.booked-calendar-wrap .booked-appt-list .timeslot .timeslot-title {
	color: {$colors['text_link']};
}
.booked-calendar-wrap .booked-appt-list .timeslot .timeslot-time {
	color: {$colors['text_dark']};
}
.booked-calendar-wrap .booked-appt-list .timeslot .spots-available {
	color: {$colors['text']};
}
.booked-calendar-wrap .booked-appt-list .timeslot .timeslot-people button:hover,
body table.booked-calendar .booked-appt-list .timeslot .timeslot-people button:hover,
body .booked-modal input[type=submit].button-primary:hover,
.ui-datepicker-buttonpane button:hover,
 .booked-forgot-goback.button:hover {
    color: {$colors['inverse_link']} !important;
    background-color: {$colors['text_hover']} !important;
}
body .booked-modal .bm-window p i.fa, body .booked-modal .bm-window a, body .booked-appt-list .booked-public-appointment-title, body .booked-modal .bm-window p.appointment-title, .booked-ms-modal.visible:hover .booked-book-appt {
    color: {$colors['text_link']} !important;
}
body .booked-modal .bm-window a:hover {
    color: {$colors['text_hover']} !important;
}
body div.booked-calendar-wrap div.booked-calendar .bc-head .bc-row.days .bc-col,
body div.booked-calendar-wrap div.booked-calendar .bc-head .bc-row.top:not(:last-child) {
	border-right-color: {$colors['inverse_link']}!important;
}
body div.booked-calendar-wrap div.booked-calendar .bc-body {
  border-color: {$colors['bd_color']};
}
body div.booked-calendar-wrap div.booked-calendar .bc-body .bc-row:not(:last-child) {
  border-bottom-color: {$colors['bd_color']};
}
body div.booked-calendar-wrap div.booked-calendar .bc-body .bc-row.week .bc-col:not(:last-child) {
  border-right-color: {$colors['bd_color']};
}

body div.booked-calendar-wrap div.booked-calendar .bc-body .bc-row.week .bc-col.today .date span {
    box-shadow: inset 0 0 0 2px {$colors['text_link']};
}

body div.booked-calendar .booked-appt-list .timeslot .timeslot-people button[disabled] {
	color: {$colors['inverse_link']} !important;
	background-color: {$colors['text_light']} !important;
}

body div.booked-calendar-wrap div.booked-calendar .bc-body .bc-row.week .bc-col {
    color: {$colors['text_dark']};
}

body div.booked-calendar-wrap div.booked-calendar .bc-body .bc-row.week .bc-col.prev-date .date,
body div.booked-calendar-wrap div.booked-calendar .bc-body .bc-row.week .bc-col.prev-date .date span,
body div.booked-calendar-wrap div.booked-calendar .bc-body .bc-row.week .bc-col.prev-date:hover .date,
body div.booked-calendar-wrap div.booked-calendar .bc-body .bc-row.week .bc-col.prev-date:hover .date span,
body div.booked-calendar-wrap div.booked-calendar .bc-body .bc-row.week .bc-col.blur .date,
body div.booked-calendar-wrap div.booked-calendar .bc-body .bc-row.week .bc-col.blur .date span,
body div.booked-calendar-wrap div.booked-calendar .bc-body .bc-row.week .bc-col.blur:hover .date,
body div.booked-calendar-wrap div.booked-calendar .bc-body .bc-row.week .bc-col.blur:hover .date span,
body div.booked-calendar-wrap div.booked-calendar .bc-body .bc-row.week .bc-col.booked .date,
body div.booked-calendar-wrap div.booked-calendar .bc-body .bc-row.week .bc-col.booked .date span,
body div.booked-calendar-wrap div.booked-calendar .bc-body .bc-row.week .bc-col .booked:hover .date,
body div.booked-calendar-wrap div.booked-calendar .bc-body .bc-row.week .bc-col .booked:hover .date span {
    color: {$colors['text_light']} !important;
    background-color: {$colors['alter_bg_color']} !important;
}

body div.booked-calendar-wrap div.booked-calendar .bc-body .bc-row.week .bc-col.next-month.active .date,
body div.booked-calendar-wrap div.booked-calendar .bc-body .bc-row.week .bc-col.active .date {
    color: {$colors['text_link']};
    background-color: {$colors['alter_bg_hover']};
}

body div.booked-calendar-wrap div.booked-calendar .bc-body .bc-row.week .bc-col.next-month.active .date .number,
body div.booked-calendar-wrap div.booked-calendar .bc-body .bc-row.week .bc-col.active .date .number {
    color: {$colors['text_link']};
}

body div.booked-calendar-wrap div.booked-calendar .bc-body .bc-row.entryBlock {
    background-color: {$colors['alter_bg_hover']};
}

body div.booked-calendar-wrap div.booked-calendar .bc-body .bc-row.week .bc-col.next-month .date {
	color: {$colors['text_dark']};
	background-color: {$colors['bg_color']};
}

body div.booked-calendar-wrap div.booked-calendar .bc-body .bc-row.week .bc-col.next-month .date span {
	color: {$colors['text_dark']};
}

body div.booked-calendar-wrap div.booked-calendar .bc-body .bc-row.week .bc-col.next-month:hover .date span {
	color: {$colors['inverse_link']};
}

body .booked-appt-list p {
	color: {$colors['text']};
}

body .booked-appt-list,
body div.booked-calendar-wrap div.booked-calendar .bc-body .bc-row.week .bc-col .date {
	background-color: {$colors['bg_color']};
}

body div.booked-calendar-wrap div.booked-calendar .bc-head .bc-row.days .bc-col {
	border-color: {$colors['bd_color']}!important;
}

body div.booked-calendar-wrap div.booked-calendar .bc-head .bc-row.days {
	border: 1px solid {$colors['bd_color']}!important;
}

/* Shortcodes */

body #booked-profile-page .booked-profile-appt-list .appt-block,
body #booked-profile-page .booked-profile-appt-list .appt-block > i.fa-solid,
body #booked-profile-page .booked-profile-appt-list .appt-block > strong {
	color: {$colors['text_light']}!important;
}
body #booked-profile-page .booked-profile-appt-list .appt-block.approved,
body #booked-profile-page .booked-profile-appt-list .appt-block.approved > i.fa-solid {
	color: {$colors['text_dark']};
}
body #booked-profile-page .appt-block .booked-cal-buttons .google-cal-button {
	color: {$colors['inverse_text']}!important;
	background-color: {$colors['text_link']};
}
body #booked-profile-page .appt-block .booked-cal-buttons .google-cal-button:hover {
	color: {$colors['inverse_text']}!important;
	background-color: {$colors['text_hover']};
}
body #booked-profile-page .booked-profile-appt-list button.button-primary,
body .booked-upload-wrap,
body #booked-profile-page .booked-profile-appt-list .appt-block .booked-cal-buttons a {
	color: {$colors['inverse_link']};
	background-color: {$colors['text_hover']};
}
body .booked-upload-wrap span {
	color: {$colors['inverse_link']};
}
body #booked-profile-page .booked-profile-appt-list button.button-primary:hover,
body .booked-upload-wrap:hover,
body #booked-profile-page .booked-profile-appt-list .appt-block .booked-cal-buttons a:hover {
	color: {$colors['inverse_link']};
	background-color: {$colors['alter_bd_hover']};
}
body .booked-upload-wrap:hover span {
	color: {$colors['inverse_link']};
}
body #booked-profile-page .booked-profile-appt-list .appt-block .status-block {
	color: {$colors['alter_light']};
	background-color: {$colors['alter_bg_hover']};
}
body #booked-profile-page .booked-profile-appt-list .appt-block.approved .status-block {
	color: {$colors['inverse_link']};
	background-color: {$colors['text_link']};
}
body #booked-profile-page .booked-profile-appt-list .appt-block {
	border-color: {$colors['bd_color']};
}
body #booked-profile-page .booked-profile-appt-list .appt-block .booked-fea-buttons > a.delete, 
body #booked-profile-page .booked-profile-appt-list .appt-block .booked-fea-buttons > button.delete {
	color: {$colors['inverse_link']};
	background-color: {$colors['text_link']};
}
body #booked-profile-page .booked-profile-appt-list .appt-block .booked-fea-buttons > a.delete:hover, 
body #booked-profile-page .booked-profile-appt-list .appt-block .booked-fea-buttons > button.delete:hover {
	color: {$colors['inverse_link']};
	background-color: {$colors['text_hover']};
}

body #booked-profile-page .booked-profile-header .booked-logout-button {
	color: {$colors['text_link']};
}

body #booked-profile-page .booked-profile-header .booked-logout-button:hover {
	color: {$colors['text_hover']};
}


CSS;
		}

		return $css;
	}
}

