<?php
/* Instagram Feed support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if (!function_exists('renewal_trx_updater_theme_setup9')) {
    add_action( 'after_setup_theme', 'renewal_trx_updater_theme_setup9', 9 );
    function renewal_trx_updater_theme_setup9() {
        if (is_admin()) {
            add_filter( 'renewal_filter_tgmpa_required_plugins',		'renewal_trx_updater_tgmpa_required_plugins' );
        }
    }
}


// Filter to add in the required plugins list
if ( ! function_exists( 'renewal_trx_updater_tgmpa_required_plugins' ) ) {
	//Handler of the add_filter('renewal_filter_tgmpa_required_plugins',	'renewal_vc_tgmpa_required_plugins');
	function renewal_trx_updater_tgmpa_required_plugins( $list = array() ) {
		if ( renewal_storage_isset( 'required_plugins', 'trx_updater' ) && renewal_is_theme_activated() ) {
			$path = renewal_get_plugin_source_path( 'plugins/trx_updater/trx_updater.zip' );
			if ( ! empty( $path ) || renewal_get_theme_setting( 'tgmpa_upload' ) ) {
				$list[] = array(
					'name'     => renewal_storage_get_array( 'required_plugins', 'trx_updater' ),
					'slug'     => 'trx_updater',
					'version'  => '2.1.4',
					'source'   => ! empty( $path ) ? $path : 'upload://trx_updater.zip',
					'required' => false,
				);
			}
		}
		return $list;
	}
}



// Check if Instagram Feed installed and activated
if ( !function_exists( 'renewal_exists_trx_updater' ) ) {
    function renewal_exists_trx_updater() {
        return defined('TRX_UPDATER_VERSION');
    }
}
?>