<?php
/**
 * The Sidebar containing the main widget areas.
 *
 * @package WordPress
 * @subpackage RENEWAL
 * @since RENEWAL 1.0
 */

if ( renewal_sidebar_present() ) {
	ob_start();
	$renewal_sidebar_name = renewal_get_theme_option( 'sidebar_widgets' );
	renewal_storage_set( 'current_sidebar', 'sidebar' );
	if ( is_active_sidebar( $renewal_sidebar_name ) ) {
		dynamic_sidebar( $renewal_sidebar_name );
	}
	$renewal_out = trim( ob_get_contents() );
	ob_end_clean();
	if ( ! empty( $renewal_out ) ) {
		$renewal_sidebar_position = renewal_get_theme_option( 'sidebar_position' );
		?>
		<div class="sidebar widget_area
			<?php
			echo esc_attr( $renewal_sidebar_position );
			if ( ! renewal_is_inherit( renewal_get_theme_option( 'sidebar_scheme' ) ) ) {
				echo ' scheme_' . esc_attr( renewal_get_theme_option( 'sidebar_scheme' ) );
			}
			?>
		" role="complementary">
			<div class="sidebar_inner">
				<?php
				do_action( 'renewal_action_before_sidebar' );
				renewal_show_layout( preg_replace( "/<\/aside>[\r\n\s]*<aside/", '</aside><aside', $renewal_out ) );
				do_action( 'renewal_action_after_sidebar' );
				?>
			</div><!-- /.sidebar_inner -->
		</div><!-- /.sidebar -->
		<div class="clearfix"></div>
		<?php
	}
}
