<?php
/**
 * The template to display Admin notices
 *
 * @package WordPress
 * @subpackage RENEWAL
 * @since RENEWAL 1.0.1
 */

$renewal_theme_obj = wp_get_theme();
?>
<div class="renewal_admin_notice renewal_welcome_notice update-nag">
	<?php
	// Theme image
	$renewal_theme_img = renewal_get_file_url( 'screenshot.jpg' );
	if ( '' != $renewal_theme_img ) {
		?>
		<div class="renewal_notice_image"><img src="<?php echo esc_url( $renewal_theme_img ); ?>" alt="<?php esc_attr_e( 'Theme screenshot', 'renewal' ); ?>"></div>
		<?php
	}

	// Title
	?>
	<h3 class="renewal_notice_title">
		<?php
		echo esc_html(
			sprintf(
				// Translators: Add theme name and version to the 'Welcome' message
                esc_html__( 'Welcome to %1$s v.%2$s', 'renewal' ),
				$renewal_theme_obj->name . ( RENEWAL_THEME_FREE ? ' ' . esc_html__( 'Free', 'renewal' ) : '' ),
				$renewal_theme_obj->version
			)
		);
		?>
	</h3>
	<?php

	// Description
	?>
	<div class="renewal_notice_text">
		<p class="renewal_notice_text_description">
			<?php
			echo str_replace( '. ', '.<br>', wp_kses_data( $renewal_theme_obj->description ) );
			?>
		</p>
		<p class="renewal_notice_text_info">
			<?php
			echo wp_kses_data( __( 'Attention! Plugin "ThemeREX Addons" is required! Please, install and activate it!', 'renewal' ) );
			?>
		</p>
	</div>
	<?php

	// Buttons
	?>
	<div class="renewal_notice_buttons">
		<?php
		// Link to the page 'About Theme'
		?>
		<a href="<?php echo esc_url( admin_url() . 'themes.php?page=renewal_about' ); ?>" class="button button-primary"><i class="dashicons dashicons-nametag"></i> 
			<?php
			echo esc_html__( 'Install plugin "ThemeREX Addons"', 'renewal' );
			?>
		</a>
		<?php		
		// Dismiss this notice
		?>
		<a href="#" class="renewal_hide_notice"><i class="dashicons dashicons-dismiss"></i> <span class="renewal_hide_notice_text"><?php esc_html_e( 'Dismiss', 'renewal' ); ?></span></a>
	</div>
</div>
