<?php
/**
 * The template to display default site footer
 *
 * @package WordPress
 * @subpackage RENEWAL
 * @since RENEWAL 1.0.10
 */

$renewal_footer_id = renewal_get_custom_footer_id();
$renewal_footer_meta = get_post_meta( $renewal_footer_id, 'trx_addons_options', true );
if ( ! empty( $renewal_footer_meta['margin'] ) != '' ) {
	renewal_add_inline_css( sprintf( '.page_content_wrap{padding-bottom:%s}', esc_attr( renewal_prepare_css_value( $renewal_footer_meta['margin'] ) ) ) );
}
?>
<footer class="footer_wrap footer_custom footer_custom_<?php echo esc_attr( $renewal_footer_id ); ?> footer_custom_<?php echo esc_attr(sanitize_title(get_the_title($renewal_footer_id))); ?>
						<?php
						if ( ! renewal_is_inherit( renewal_get_theme_option( 'footer_scheme' ) ) ) {
							echo ' scheme_' . esc_attr( renewal_get_theme_option( 'footer_scheme' ) );
						}
						?>
						">
	<?php
	// Custom footer's layout
	do_action( 'renewal_action_show_layout', $renewal_footer_id );
	?>
</footer><!-- /.footer_wrap -->
