<?php
/**
 * The template to display the widgets area in the footer
 *
 * @package WordPress
 * @subpackage RENEWAL
 * @since RENEWAL 1.0.10
 */

// Footer sidebar
$renewal_footer_name    = renewal_get_theme_option( 'footer_widgets' );
$renewal_footer_present = ! renewal_is_off( $renewal_footer_name ) && is_active_sidebar( $renewal_footer_name );
if ( $renewal_footer_present ) {
	renewal_storage_set( 'current_sidebar', 'footer' );
	$renewal_footer_wide = renewal_get_theme_option( 'footer_wide' );
	ob_start();
	if ( is_active_sidebar( $renewal_footer_name ) ) {
		dynamic_sidebar( $renewal_footer_name );
	}
	$renewal_out = trim( ob_get_contents() );
	ob_end_clean();
	if ( ! empty( $renewal_out ) ) {
		$renewal_out          = preg_replace( "/<\\/aside>[\r\n\s]*<aside/", '</aside><aside', $renewal_out );
		$renewal_need_columns = true;
		if ( $renewal_need_columns ) {
			$renewal_columns = max( 0, (int) renewal_get_theme_option( 'footer_columns' ) );
			if ( 0 == $renewal_columns ) {
				$renewal_columns = min( 4, max( 1, substr_count( $renewal_out, '<aside ' ) ) );
			}
			if ( $renewal_columns > 1 ) {
				$renewal_out = preg_replace( '/<aside([^>]*)class="widget/', '<aside$1class="column-1_' . esc_attr( $renewal_columns ) . ' widget', $renewal_out );
			} else {
				$renewal_need_columns = false;
			}
		}
		?>
		<div class="footer_widgets_wrap widget_area<?php echo ! empty( $renewal_footer_wide ) ? ' footer_fullwidth' : ''; ?> sc_layouts_row sc_layouts_row_type_normal">
			<div class="footer_widgets_inner widget_area_inner">
				<?php
				if ( ! $renewal_footer_wide ) {
					?>
					<div class="content_wrap">
					<?php
				}
				if ( $renewal_need_columns ) {
					?>
					<div class="columns_wrap">
					<?php
				}
				do_action( 'renewal_action_before_sidebar' );
				renewal_show_layout( $renewal_out );
				do_action( 'renewal_action_after_sidebar' );
				if ( $renewal_need_columns ) {
					?>
					</div><!-- /.columns_wrap -->
					<?php
				}
				if ( ! $renewal_footer_wide ) {
					?>
					</div><!-- /.content_wrap -->
					<?php
				}
				?>
			</div><!-- /.footer_widgets_inner -->
		</div><!-- /.footer_widgets_wrap -->
		<?php
	}
}
