<?php
/**
 * The template to display custom header from the ThemeREX Addons Layouts
 *
 * @package WordPress
 * @subpackage RENEWAL
 * @since RENEWAL 1.0.06
 */

$renewal_header_css   = '';
$renewal_header_image = get_header_image();
$renewal_header_video = renewal_get_header_video();
if ( ! empty( $renewal_header_image ) && renewal_trx_addons_featured_image_override( is_singular() || renewal_storage_isset( 'blog_archive' ) || is_category() ) ) {
	$renewal_header_image = renewal_get_current_mode_image( $renewal_header_image );
}

$renewal_header_id = renewal_get_custom_header_id();
$renewal_header_meta = get_post_meta( $renewal_header_id, 'trx_addons_options', true );
if ( ! empty( $renewal_header_meta['margin'] ) != '' ) {
	renewal_add_inline_css( sprintf( '.page_content_wrap{padding-top:%s}', esc_attr( renewal_prepare_css_value( $renewal_header_meta['margin'] ) ) ) );
}

?><header class="top_panel top_panel_custom top_panel_custom_<?php echo esc_attr( $renewal_header_id ); ?> top_panel_custom_<?php echo esc_attr(sanitize_title(get_the_title($renewal_header_id))); ?>
				<?php
				echo ! empty( $renewal_header_image ) || ! empty( $renewal_header_video )
					? ' with_bg_image'
					: ' without_bg_image';
				if ( '' != $renewal_header_video ) {
					echo ' with_bg_video';
				}
				if ( '' != $renewal_header_image ) {
					echo ' ' . esc_attr( renewal_add_inline_css_class( 'background-image: url(' . esc_url( $renewal_header_image ) . ');' ) );
				}
				if ( is_single() && has_post_thumbnail() ) {
					echo ' with_featured_image';
				}
				if ( renewal_is_on( renewal_get_theme_option( 'header_fullheight' ) ) ) {
					echo ' header_fullheight renewal-full-height';
				}
				if ( ! renewal_is_inherit( renewal_get_theme_option( 'header_scheme' ) ) ) {
					echo ' scheme_' . esc_attr( renewal_get_theme_option( 'header_scheme' ) );
				}
				?>
">
	<?php

	// Background video
	if ( ! empty( $renewal_header_video ) ) {
		get_template_part( apply_filters( 'renewal_filter_get_template_part', 'templates/header-video' ) );
	}

	// Custom header's layout
	do_action( 'renewal_action_show_layout', $renewal_header_id );

	// Header widgets area
	get_template_part( apply_filters( 'renewal_filter_get_template_part', 'templates/header-widgets' ) );

	?>
</header>
