<?php
/**
 * The template to display default site header
 *
 * @package WordPress
 * @subpackage RENEWAL
 * @since RENEWAL 1.0
 */

$renewal_header_css   = '';
$renewal_header_image = get_header_image();
$renewal_header_video = renewal_get_header_video();
if ( ! empty( $renewal_header_image ) && renewal_trx_addons_featured_image_override( is_singular() || renewal_storage_isset( 'blog_archive' ) || is_category() ) ) {
	$renewal_header_image = renewal_get_current_mode_image( $renewal_header_image );
}

?><header class="top_panel top_panel_default
	<?php
	echo ! empty( $renewal_header_image ) || ! empty( $renewal_header_video ) ? ' with_bg_image' : ' without_bg_image';
	if ( '' != $renewal_header_video ) {
		echo ' with_bg_video';
	}
	if ( '' != $renewal_header_image ) {
		echo ' ' . esc_attr( renewal_add_inline_css_class( 'background-image: url(' . esc_url( $renewal_header_image ) . ');' ) );
	}
	if ( is_single() && has_post_thumbnail() ) {
		echo ' with_featured_image';
	}
	if ( renewal_is_on( renewal_get_theme_option( 'header_fullheight' ) ) ) {
		echo ' header_fullheight renewal-full-height';
	}
	if ( ! renewal_is_inherit( renewal_get_theme_option( 'header_scheme' ) ) ) {
		echo ' scheme_' . esc_attr( renewal_get_theme_option( 'header_scheme' ) );
	}
	?>
">
	<?php

	// Background video
	if ( ! empty( $renewal_header_video ) ) {
		get_template_part( apply_filters( 'renewal_filter_get_template_part', 'templates/header-video' ) );
	}

	// Main menu
	if ( renewal_get_theme_option( 'menu_style' ) == 'top' ) {
		get_template_part( apply_filters( 'renewal_filter_get_template_part', 'templates/header-navi' ) );
	}

	// Mobile header
	if ( renewal_is_on( renewal_get_theme_option( 'header_mobile_enabled' ) ) ) {
		get_template_part( apply_filters( 'renewal_filter_get_template_part', 'templates/header-mobile' ) );
	}

	// Page title and breadcrumbs area
	get_template_part( apply_filters( 'renewal_filter_get_template_part', 'templates/header-title' ) );

	// Header widgets area
	get_template_part( apply_filters( 'renewal_filter_get_template_part', 'templates/header-widgets' ) );

	// Display featured image in the header on the single posts
	// Comment next line to prevent show featured image in the header area
	// and display it in the post's content
	get_template_part( apply_filters( 'renewal_filter_get_template_part', 'templates/header-single' ) );

	?>
</header>
