<?php
/**
 * The template to display the logo or the site name and the slogan in the Header
 *
 * @package WordPress
 * @subpackage RENEWAL
 * @since RENEWAL 1.0
 */

$renewal_args = get_query_var( 'renewal_logo_args' );

// Site logo
$renewal_logo_type   = isset( $renewal_args['type'] ) ? $renewal_args['type'] : '';
$renewal_logo_image  = renewal_get_logo_image( $renewal_logo_type );
$renewal_logo_text   = renewal_is_on( renewal_get_theme_option( 'logo_text' ) ) ? get_bloginfo( 'name' ) : '';
$renewal_logo_slogan = get_bloginfo( 'description', 'display' );
if ( ! empty( $renewal_logo_image ) || ! empty( $renewal_logo_text ) ) {
	?><a class="sc_layouts_logo" href="<?php echo esc_url( home_url( '/' ) ); ?>">
		<?php
		if ( ! empty( $renewal_logo_image ) ) {
			if ( empty( $renewal_logo_type ) && function_exists( 'the_custom_logo' ) && is_numeric( $renewal_logo_image ) && $renewal_logo_image > 0) {
				the_custom_logo();
			} else {
				$renewal_attr = renewal_getimagesize( $renewal_logo_image );
				echo '<img src="' . esc_url( $renewal_logo_image ) . '" alt="' . esc_attr( $renewal_logo_text ) . '"' . ( ! empty( $renewal_attr[3] ) ? ' ' . wp_kses_data( $renewal_attr[3] ) : '' ) . '>';
			}
		} else {
			renewal_show_layout( renewal_prepare_macros( $renewal_logo_text ), '<span class="logo_text">', '</span>' );
			renewal_show_layout( renewal_prepare_macros( $renewal_logo_slogan ), '<span class="logo_slogan">', '</span>' );
		}
		?>
	</a>
	<?php
}
