<?php
/**
 * The template to display the background video in the header
 *
 * @package WordPress
 * @subpackage RENEWAL
 * @since RENEWAL 1.0.14
 */
$renewal_header_video = renewal_get_header_video();
$renewal_embed_video  = '';
if ( ! empty( $renewal_header_video ) && ! renewal_is_from_uploads( $renewal_header_video ) ) {
	if ( renewal_is_youtube_url( $renewal_header_video ) && preg_match( '/[=\/]([^=\/]*)$/', $renewal_header_video, $matches ) && ! empty( $matches[1] ) ) {
		?><div id="background_video" data-youtube-code="<?php echo esc_attr( $matches[1] ); ?>"></div>
		<?php
	} else {
		global $wp_embed;
		if ( false && is_object( $wp_embed ) ) {
			$renewal_embed_video = do_shortcode( $wp_embed->run_shortcode( '[embed]' . trim( $renewal_header_video ) . '[/embed]' ) );
			$renewal_embed_video = renewal_make_video_autoplay( $renewal_embed_video );
		} else {
			$renewal_header_video = str_replace( '/watch?v=', '/embed/', $renewal_header_video );
			$renewal_header_video = renewal_add_to_url(
				$renewal_header_video, array(
					'feature'        => 'oembed',
					'controls'       => 0,
					'autoplay'       => 1,
					'showinfo'       => 0,
					'modestbranding' => 1,
					'wmode'          => 'transparent',
					'enablejsapi'    => 1,
					'origin'         => home_url(),
					'widgetid'       => 1,
				)
			);
			$renewal_embed_video  = '<iframe src="' . esc_url( $renewal_header_video ) . '" width="1170" height="658" allowfullscreen="0" frameborder="0"></iframe>';
		}
		?>
		<div id="background_video"><?php renewal_show_layout( $renewal_embed_video ); ?></div>
		<?php
	}
}
