<?php
/**
 * The template to display the widgets area in the header
 *
 * @package WordPress
 * @subpackage RENEWAL
 * @since RENEWAL 1.0
 */

// Header sidebar
$renewal_header_name    = renewal_get_theme_option( 'header_widgets' );
$renewal_header_present = ! renewal_is_off( $renewal_header_name ) && is_active_sidebar( $renewal_header_name );
if ( $renewal_header_present ) {
	renewal_storage_set( 'current_sidebar', 'header' );
	$renewal_header_wide = renewal_get_theme_option( 'header_wide' );
	ob_start();
	if ( is_active_sidebar( $renewal_header_name ) ) {
		dynamic_sidebar( $renewal_header_name );
	}
	$renewal_widgets_output = ob_get_contents();
	ob_end_clean();
	if ( ! empty( $renewal_widgets_output ) ) {
		$renewal_widgets_output = preg_replace( "/<\/aside>[\r\n\s]*<aside/", '</aside><aside', $renewal_widgets_output );
		$renewal_need_columns   = strpos( $renewal_widgets_output, 'columns_wrap' ) === false;
		if ( $renewal_need_columns ) {
			$renewal_columns = max( 0, (int) renewal_get_theme_option( 'header_columns' ) );
			if ( 0 == $renewal_columns ) {
				$renewal_columns = min( 6, max( 1, substr_count( $renewal_widgets_output, '<aside ' ) ) );
			}
			if ( $renewal_columns > 1 ) {
				$renewal_widgets_output = preg_replace( '/<aside([^>]*)class="widget/', '<aside$1class="column-1_' . esc_attr( $renewal_columns ) . ' widget', $renewal_widgets_output );
			} else {
				$renewal_need_columns = false;
			}
		}
		?>
		<div class="header_widgets_wrap widget_area<?php echo ! empty( $renewal_header_wide ) ? ' header_fullwidth' : ' header_boxed'; ?>">
			<div class="header_widgets_inner widget_area_inner">
				<?php
				if ( ! $renewal_header_wide ) {
					?>
					<div class="content_wrap">
					<?php
				}
				if ( $renewal_need_columns ) {
					?>
					<div class="columns_wrap">
					<?php
				}
				do_action( 'renewal_action_before_sidebar' );
				renewal_show_layout( $renewal_widgets_output );
				do_action( 'renewal_action_after_sidebar' );
				if ( $renewal_need_columns ) {
					?>
					</div>	<!-- /.columns_wrap -->
					<?php
				}
				if ( ! $renewal_header_wide ) {
					?>
					</div>	<!-- /.content_wrap -->
					<?php
				}
				?>
			</div>	<!-- /.header_widgets_inner -->
		</div>	<!-- /.header_widgets_wrap -->
		<?php
	}
}
